diff -pruN 4.5.2-1/debian/changelog 4.5.2-2/debian/changelog
--- 4.5.2-1/debian/changelog	2021-01-11 19:05:38.000000000 +0000
+++ 4.5.2-2/debian/changelog	2021-02-10 21:03:27.000000000 +0000
@@ -1,3 +1,20 @@
+coturn (4.5.2-2) unstable; urgency=medium
+
+  [ Michael Prokop ]
+  * [059ff0a] debian/coturn.postrm: fix check for dpkg-statoverride on package
+    removal. This fixes a regression introduced in commit b9a4a8.
+    While at it, also move the statoverride removal before the account removal.
+    (Closes: #981330)
+
+  [ Ferenc Wágner ]
+  * [e991e26] Enroll to basic Salsa-CI
+
+  [ Mészáros Mihály ]
+  * [3505b22] HotFix upstream undefinded OPENSSL_VERSION_1_1_1
+  * [20f9a9e] Add tls test to debian autopkgtest
+
+ -- Mészáros Mihály <misi@majd.eu>  Wed, 10 Feb 2021 22:03:27 +0100
+
 coturn (4.5.2-1) unstable; urgency=high
 
   * [49df393] New upstream release (4.5.2)
diff -pruN 4.5.2-1/debian/coturn.postrm 4.5.2-2/debian/coturn.postrm
--- 4.5.2-1/debian/coturn.postrm	2021-01-11 19:05:38.000000000 +0000
+++ 4.5.2-2/debian/coturn.postrm	2021-02-10 19:05:45.000000000 +0000
@@ -6,6 +6,11 @@ TURNSERVER_USER=turnserver
 TURNSERVER_GROUP=turnserver
 
 if [ "$1" = "purge" ] ; then
+        TURNSERVER_CONFIG=/etc/turnserver.conf
+        if dpkg-statoverride --list "$TURNSERVER_CONFIG" >/dev/null 2>&1; then
+                dpkg-statoverride --remove "$TURNSERVER_CONFIG"
+        fi
+
         if getent passwd $TURNSERVER_USER >/dev/null; then
                 userdel $TURNSERVER_USER
         fi
@@ -15,11 +20,6 @@ if [ "$1" = "purge" ] ; then
 
         rm -f /var/lib/turn/turndb
         rmdir /var/lib/turn
-
-        TURNSERVER_CONFIG=/etc/turnserver.conf
-        if ! dpkg-statoverride --list "$TURNSERVER_CONFIG" >/dev/null 2>&1; then
-	    dpkg-statoverride --remove "$TURNSERVER_CONFIG"
-        fi
 fi
 
 
diff -pruN 4.5.2-1/debian/patches/Fix-undefinded-OPENSSL_VERSION_1_1_1.patch 4.5.2-2/debian/patches/Fix-undefinded-OPENSSL_VERSION_1_1_1.patch
--- 4.5.2-1/debian/patches/Fix-undefinded-OPENSSL_VERSION_1_1_1.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.5.2-2/debian/patches/Fix-undefinded-OPENSSL_VERSION_1_1_1.patch	2021-02-10 19:05:50.000000000 +0000
@@ -0,0 +1,30 @@
+From: =?utf-8?b?TcOpc3rDoXJvcyBNaWjDoWx5?= <misi@majd.eu>
+Date: Wed, 10 Feb 2021 18:54:19 +0100
+Subject: Fix undefinded OPENSSL_VERSION_1_1_1
+
+---
+ src/apps/relay/mainrelay.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/apps/relay/mainrelay.c b/src/apps/relay/mainrelay.c
+index 2118b60..bbf7fa3 100644
+--- a/src/apps/relay/mainrelay.c
++++ b/src/apps/relay/mainrelay.c
+@@ -2593,7 +2593,7 @@ static int THREAD_setup(void) {
+ 
+ 	mutex_buf_initialized = 1;
+ 
+-#if OPENSSL_VERSION_NUMBER >= 0x10000000L && OPENSSL_VERSION_NUMBER <= OPENSSL_VERSION_1_1_1
++#if OPENSSL_VERSION_NUMBER >= 0x10000000L && OPENSSL_VERSION_NUMBER <= 0x10101000L
+ 	CRYPTO_THREADID_set_callback(coturn_id_function);
+ #else
+ 	CRYPTO_set_id_callback(coturn_id_function);
+@@ -2615,7 +2615,7 @@ int THREAD_cleanup(void) {
+   if (!mutex_buf_initialized)
+     return 0;
+ 
+-#if OPENSSL_VERSION_NUMBER >= 0x10000000L && OPENSSL_VERSION_NUMBER <= OPENSSL_VERSION_1_1_1
++#if OPENSSL_VERSION_NUMBER >= 0x10000000L && OPENSSL_VERSION_NUMBER <= 0x10101000L
+ 	CRYPTO_THREADID_set_callback(NULL);
+ #else
+ 	CRYPTO_set_id_callback(NULL);
diff -pruN 4.5.2-1/debian/patches/series 4.5.2-2/debian/patches/series
--- 4.5.2-1/debian/patches/series	2021-01-11 09:53:48.000000000 +0000
+++ 4.5.2-2/debian/patches/series	2021-02-10 19:05:50.000000000 +0000
@@ -1 +1,2 @@
 Set-logging-to-syslog.patch
+Fix-undefinded-OPENSSL_VERSION_1_1_1.patch
diff -pruN 4.5.2-1/debian/salsa-ci.yml 4.5.2-2/debian/salsa-ci.yml
--- 4.5.2-1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 4.5.2-2/debian/salsa-ci.yml	2021-02-10 19:05:50.000000000 +0000
@@ -0,0 +1,6 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/recipes/debian.yml
+
+variables:
+  SALSA_CI_REPROTEST_ENABLE_DIFFOSCOPE: 1
diff -pruN 4.5.2-1/debian/tests/coturn 4.5.2-2/debian/tests/coturn
--- 4.5.2-1/debian/tests/coturn	2021-01-11 09:53:48.000000000 +0000
+++ 4.5.2-2/debian/tests/coturn	2021-02-10 21:03:27.000000000 +0000
@@ -2,8 +2,23 @@
 
 set -ex
 
+# Cert
+cp examples/etc/cacert.pem /etc/cacert.pem
+cp examples/etc/turn_server_cert.pem /etc/turn_server_cert.pem
+cp examples/etc/turn_server_pkey.pem /etc/turn_server_pkey.pem
+
+# Config
 cp debian/tests/turnserver.conf /etc/turnserver.conf
+
+# Db
 cp examples/var/db/turndb /var/lib/turn/turndb
+
 systemctl restart coturn
+
+# Test udp
 /usr/share/doc/coturn/examples/scripts/longtermsecure/secure_udp_c2c.sh
+# Test tcp
 /usr/share/doc/coturn/examples/scripts/longtermsecure/secure_tcp_client_c2c_tcp_relay.sh
+# Test tls
+turnutils_uclient -T -S -k ./examples/etc/turn_client_pkey.pem -E ./examples/etc/cacert.pem -i ./examples/etc/turn_client_cert.pem -n 1000 -m 10 -l 170 -y -g -u gorst -w hero $@ ::1
+
diff -pruN 4.5.2-1/debian/tests/turnserver.conf 4.5.2-2/debian/tests/turnserver.conf
--- 4.5.2-1/debian/tests/turnserver.conf	2021-01-11 09:53:48.000000000 +0000
+++ 4.5.2-2/debian/tests/turnserver.conf	2021-02-10 21:03:27.000000000 +0000
@@ -9,9 +9,11 @@ max-port=65535
 relay-threads=3
 max-bps=3000000
 fingerprint
-no-tls
-no-dtls
 no-auth
 db=/var/lib/turn/turndb
 allow-loopback-peers
 cli-password=qwerty
+cert=turn_server_cert.pem
+pkey=turn_server_pkey.pem
+CA-file=cacert.pem
+
